# CarSearchServiceApi

All URIs are relative to *https://api.travlinq.provesio.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getCancellationPolicy**](CarSearchServiceApi.md#getCancellationPolicy) | **POST** /api/v1/car/cancellation-policy | Car Book
[**performCarSearch**](CarSearchServiceApi.md#performCarSearch) | **POST** /api/v1/car/search | Car search

<a name="getCancellationPolicy"></a>
# **getCancellationPolicy**
> ResponsePackCarCancellationPolicyResponse getCancellationPolicy(body, sessionId, conversationId, X_API_KEY)

Car Book

Car Book

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.CarSearchServiceApi;


CarSearchServiceApi apiInstance = new CarSearchServiceApi();
CarCancellationPolicyCriteria body = new CarCancellationPolicyCriteria(); // CarCancellationPolicyCriteria | 
String sessionId = "sessionId_example"; // String | Session ID
String conversationId = "conversationId_example"; // String | Conversation ID
String X_API_KEY = "X_API_KEY_example"; // String | API access key
try {
    ResponsePackCarCancellationPolicyResponse result = apiInstance.getCancellationPolicy(body, sessionId, conversationId, X_API_KEY);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling CarSearchServiceApi#getCancellationPolicy");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**CarCancellationPolicyCriteria**](CarCancellationPolicyCriteria.md)|  |
 **sessionId** | **String**| Session ID |
 **conversationId** | **String**| Conversation ID |
 **X_API_KEY** | **String**| API access key |

### Return type

[**ResponsePackCarCancellationPolicyResponse**](ResponsePackCarCancellationPolicyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json, */*

<a name="performCarSearch"></a>
# **performCarSearch**
> ResponsePackCar performCarSearch(body, sessionId, conversationId, X_API_KEY)

Car search

Car Search

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.CarSearchServiceApi;


CarSearchServiceApi apiInstance = new CarSearchServiceApi();
CarSearchCriteria body = new CarSearchCriteria(); // CarSearchCriteria | 
String sessionId = "sessionId_example"; // String | Session ID
String conversationId = "conversationId_example"; // String | Conversation ID
String X_API_KEY = "X_API_KEY_example"; // String | API access key
try {
    ResponsePackCar result = apiInstance.performCarSearch(body, sessionId, conversationId, X_API_KEY);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling CarSearchServiceApi#performCarSearch");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**CarSearchCriteria**](CarSearchCriteria.md)|  |
 **sessionId** | **String**| Session ID |
 **conversationId** | **String**| Conversation ID |
 **X_API_KEY** | **String**| API access key |

### Return type

[**ResponsePackCar**](ResponsePackCar.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json, */*

